Subject: bug#35108: ungoogled-chromium fails to install

From: Jeff Bauer <[email-masked]>
Date: Thu, 16 May 2019 12:31:37 -0500

On Thu, May 16, 2019 at 04:52:14PM +0200, Marius Bakke wrote:
> The problem with Ungoogled-Chromium is that it (at some point) uses
> 6-8GiB of memory *per core* during the build.
>
> It would be great to codify this constraint in the package definition,
> but I can't think of an easy way short of parsing /proc/meminfo.
>
> For now we can disable parallel building, which will arguably provide
> a better user experience than thrashing and crashing systems...
>
> Thoughts?

Interesting.  If I ran the following command, the installation
might succeed?

  guix package -i ungoogled-chromium --cores=1

-Jeff